<div class="wrapper" >
    <div class="block-center col-md-4">
        <!-- START card-->
        <div class="card card-flat">
            <div class="card-body">
                <h2 class="text-center py-2 title">Start your registration</h2>
                <form [formGroup]="valForm" class="form-validate mb-3" role="form" name="registerForm" novalidate="" (submit)="submitForm($event, valForm.value)">
                    <div class="form-group">
                        <!-- <label class="mb-1">Email address</label> -->
                        <div class="input-group with-focus">
                            <input class="form-control form-control-lg border-right-0" type="email" name="account_email" placeholder="Enter email" autocomplete="off" formControlName="userName" required="" />
                            <div class="input-group-append">
                                <span class="input-group-text fa fa-envelope bg-transparent border-left-0"></span>
                            </div>
                        </div>
                        <div class="text-danger small" *ngIf="valForm.controls['userName'].hasError('required') && (valForm.controls['userName'].dirty || valForm.controls['userName'].touched)">This field is required</div>
                        <div class="text-danger small" *ngIf="valForm.controls['userName'].hasError('userName') && (valForm.controls['userName'].dirty || valForm.controls['userName'].touched)">This field must be a valid email address</div>
                        <div class="text-danger reg-error" *ngIf="hasEmailError">{{errorMsg}}</div>
                    </div>

                    <div class="form-group">
                        <!-- <label class="mb-1">Create password</label> -->
                        <div class="input-group with-focus">
                            <input class="form-control form-control-lg border-right-0" id="id-password" type="password" name="password" placeholder="Create password" formControlName="password" required=""/>
                            <!-- [formControl]="valForm.controls['password']" -->
                            <div class="input-group-append">
                                <span class="input-group-text fa fa-lock bg-transparent border-left-0"></span>
                            </div>
                        </div>
                        <div class="small" *ngIf="(valForm.controls['password'].dirty || valForm.controls['password'].touched)">
                          Please, password must have at least: one special character, one number, one uppercase letter.
                          <!-- <ul>
                            <li>one special character</li>
                            <li>one number</li>
                            <li>one uppercase letter</li>
                          </ul> -->
                        </div>
                        <div class="text-danger small" *ngIf="valForm.controls['password'].hasError('required') && (valForm.controls['password'].dirty || valForm.controls['password'].touched)">This field is required</div>
                        <div class="text-danger small" *ngIf="valForm.controls['password'].hasError('pattern') && (valForm.controls['password'].dirty || valForm.controls['password'].touched)">Input should match 'a-zA-Z0-9' and 6-10 length</div>
                        <div class="text-danger small" *ngIf="hasPasswordError">
                            <span *ngFor="let msg of errorMsg" class="reg-error">{{msg}}</span>
                        </div>
                    </div>

                    <!--<span class="text-danger" *ngIf="valForm.controls['accountagreed'].hasError('required') && (valForm.controls['accountagreed'].dirty || valForm.controls['accountagreed'].touched)">You must agree the terms</span>-->
                    <div class="d-flex flex-column justify-content-around">
                        <div>
                            <!-- <em class="fa fa-check"></em> -->
                            <p><span>By clicking "Create account" I agree with <a href="#">Terms & Conditions</a>.</span><p>
                        </div>
                        <button class="btn btn-block btn-lg btn-primary mt-3" type="submit">Create account</button>
                    </div>
                </form>
                <!-- <div class="alert alert-danger text-center"></div> -->
                <p class="pt-3 text-center margin-top">Already have an account?</p>
                <a class="btn btn-block btn-lg btn-secondary" [routerLink]="'/login'">Login</a>
            </div>
        </div>
        <!-- END card-->
        <!-- <div class="p-3 text-center">
            <span>&copy;</span>
            <span>{{ settings.app.year }}</span>
            <span class="mx-2">-</span>
            <span>{{ settings.app.name }}</span>
            <br/>
            <span>{{ settings.app.description }}</span>
        </div> -->
    </div>
</div>
